Skip to main content
GET
/
api
/
v1
/
org
/
clusters
/
{cluster_id}
/
kubernetes
/
health
Get AI-analysed cluster health
import requests

url = "https://platform.ankra.app/api/v1/org/clusters/{cluster_id}/kubernetes/health"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
{
  "cluster_id": "<string>",
  "health_report": {},
  "ai_insights": [
    {}
  ],
  "summary": "<string>",
  "should_notify": true,
  "notification_priority": "<string>",
  "generated_at": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

authorization
string | null
x-ankra-organisation-id
string | null

Path Parameters

cluster_id
string<uuid4>
required

Query Parameters

include_ai_analysis
boolean
default:false

Include AI analysis of issues

Response

Cluster health retrieved successfully

cluster_id
string
required
health_report
Health Report · object
required
ai_insights
Ai Insights · object[]
required
summary
string
required
should_notify
boolean
required
notification_priority
string
required
generated_at
string
required